Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 7)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 8)
@@ -1914,9 +2030,9 @@
                     }
                 }
                 // 行や列を追加したり、セルに値を設定するときは、自動サイズ設定しない。
-                dgvConstructionProjects.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
-                dgvConstructionProjects.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.None;
-                dgvConstructionProjects.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
+                dgv.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
+                dgv.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.None;
+                dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
 
                 // ProgressBarの値を変更する
                 ProgressConstructionProjects.Value = ProgressConstructionProjects.Maximum;
@@ -1966,20 +2082,20 @@
             finally
             {
                 // 読込時データカウント取得
-                if (CommonDefine.s_MaxInitLineCount > dgvConstructionProjects.RowCount)
-                    dgvConstructionProjects.RowCount += (CommonDefine.s_MaxInitLineCount - dgvConstructionProjects.RowCount);
+                if (CommonDefine.s_MaxInitLineCount > dgv.RowCount)
+                    dgv.RowCount += (CommonDefine.s_MaxInitLineCount - dgv.RowCount);
 
                 // データが多くなればソートできる
-                foreach (DataGridViewColumn wrkCol in dgvConstructionProjects.Columns)
+                foreach (DataGridViewColumn wrkCol in dgv.Columns)
                     wrkCol.SortMode = DataGridViewColumnSortMode.Automatic;
 
                 // グリッドソート実行
-                GridSortExcute(dgvConstructionProjects);
+                GridSortExcute(dgv);
 
                 ChkProc = null;
                 cbiDB.close(); cbiDB = null;
                 dmDB.close(); dmDB = null;
-                dgvConstructionProjects.ResumeLayout();
+                dgv.ResumeLayout();
             }
         }
         #endregion
@@ -2001,6 +2117,7 @@
                 stat.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工準備")).Key);           // 6
                 stat.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工開始")).Key);           // 7
 
+                strSQL += CreateListSQLFluctuation();
                 strSQL += CreateListSQL(stat);
 
                 return strSQL;
@@ -2012,8 +2129,505 @@
             }
         }
         #endregion
+
+        #region 合計金額読込み並び
+        /// <summary>
+        ///  合計金額読込み並び
+        /// </summary>
+        private enum TotalCal
+        {
+            DEPARTMENTCODE = 0,
+            DEPARTMENTSTRING,
+            ORDERSDECISIONPRICE,
+            DISPLAYORDER,
+        }
         #endregion
 
+        #region 受注状況一覧合計金額計算表示
+        /// <summary>
+        /// 受注状況一覧合計金額計算表示
+        /// </summary>
+        private void ConstructionTotalCalc()
+        {
+            IOConstructionBaseInfo BaseDB = new IOConstructionBaseInfo();
+            try
+            {
+                long lTotal01 = 0;
+                long lTotal02 = 0;
+                long lDep01 = 0;
+                long lDep02 = 0;
+                long lDep03 = 0;
+                long lDep04 = 0;
+                long lDep05 = 0;
+
+                string strSQL = "SELECT";
+                strSQL += " B.DEPARTMENTCODE,";
+                strSQL += " C.DEPARTMENTSTRING,";
+                strSQL += " SUM(A.ORDERSDECISIONPRICE),";
+                strSQL += " C.DISPLAYORDER";
+                strSQL += " FROM CONSTRUCTIONBASEINFO A, PERSONINCHARGEMASTER B, DEPARTMENTMASTER C";
+                strSQL += CreateConstructionProjectsSQL();
+                strSQL += string.Format(" AND A.CONSTRUCTIONPERIOD = {0}", numUDConstPro.Value);
+                strSQL += " AND A.CONSTRUCTIONPERSONCODE = B.PERSONCODE";
+                strSQL += " AND B.DEPARTMENTCODE = C.DEPARTMENTCODE";
+                strSQL += " GROUP BY B.DEPARTMENTCODE, C.DEPARTMENTSTRING, C.DISPLAYORDER";
+                strSQL += " ORDER BY C.DISPLAYORDER";
+                ArrayList arList = new ArrayList();
+                if (!BaseDB.ExecuteReader(strSQL, ref arList)) return;
+
+                for (int i = 0; i < arList.Count; i++)
+                {
+                    object[] objwrk = (object[])arList[i];
+                    long OrderPrice = CommonMotions.cnvLong(objwrk[(int)TotalCal.ORDERSDECISIONPRICE]);
+
+                    lTotal02 += OrderPrice;
+                    // 部署ごとに集計
+                    int DepCode = CommonMotions.cnvInt(objwrk[(int)TotalCal.DEPARTMENTCODE]);
+                    switch (DepCode)
+                    {
+                        case s_ConstructionProjectsTotalCode1:
+                            // 山本組
+                            lDep01 += OrderPrice;
+                            break;
+                        case s_ConstructionProjectsTotalCode2:
+                            // 工事部
+                            lDep02 += OrderPrice;
+                            break;
+                        case s_ConstructionProjectsTotalCode3:
+                            // 営繕部
+                            lDep03 += OrderPrice;
+                            break;
+                        case s_ConstructionProjectsTotalCode4:
+                            // 営業
+                            lDep04 += OrderPrice;
+                            break;
+                        case s_ConstructionProjectsTotalCode5:
+                            // 企・設・リフォーム部
+                            lDep05 += OrderPrice;
+                            break;
+                    }
+                }
+                strSQL = "SELECT SUM(A.ORDERSDECISIONPRICE) FROM CONSTRUCTIONBASEINFO A";
+                strSQL += CreateConstructionProjectsSQL();
+                strSQL += string.Format(" AND A.CONSTRUCTIONPERIOD = {0}", numUDConstPro.Value);
+                strSQL += " AND A.CONSTRUCTIONPERSONCODE = 0";
+                ArrayList UnknownList = new ArrayList();
+                if (!BaseDB.ExecuteReader(strSQL, ref UnknownList)) return;
+                object[] objKnown = (object[])UnknownList[0];
+                lTotal01 = CommonMotions.cnvLong(objKnown[0]);
+
+                // 金額表示
+                lblTotal01.Text = @"\" + lTotal01.ToString("#,0") + "-";
+                lblTotal02.Text = @"\" + lTotal02.ToString("#,0") + "-";
+                lblTotal03.Text = @"\" + (lTotal01 + lTotal02).ToString("#,0") + "-";
+                lblDepTotal01.Text = @"\" + lDep01.ToString("#,0") + "-";
+                lblDepTotal02.Text = @"\" + lDep02.ToString("#,0") + "-";
+                lblDepTotal03.Text = @"\" + lDep03.ToString("#,0") + "-";
+                lblDepTotal04.Text = @"\" + lDep04.ToString("#,0") + "-";
+                lblDepTotal05.Text = @"\" + lDep05.ToString("#,0") + "-";
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                BaseDB.close(); BaseDB = null;
+            }
+        }
+        #endregion
+        #endregion
+
+        #region 承認機能セル状態セット
+        /// <summary>
+        /// 承認機能セル状態セット
+        /// </summary>
+        /// <param name="CurCell"></param>
+        /// <param name="iApprovalStatus"></param>
+        private void SetCellApprovalColor(DataGridViewCell CurCell, int iApprovalCode, int iApprovalStatus, bool UnApproval = true)
+        {
+            try
+            {
+                if (iApprovalStatus == -1)
+                {
+                    // 未申請文字
+                    if (UnApproval) CurCell.Value = CommonDefine.PetitionButtonString[0];
+                    return;
+                }
+
+                CurCell.Style.BackColor = ClsExcute.ApprovalTypeColorList[iApprovalCode];
+                CurCell.ToolTipText = CommonDefine.ApprovalStatusString[iApprovalStatus];
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+
+        }
+        #endregion
+
+        #region 増減工事状況一覧表示関連
+        #region 受注状況一覧データ並び
+        /// <summary>
+        /// 受注状況一覧データ並び
+        /// </summary>
+        private enum DBColumn5
+        {
+            ConstructionCode = 0,
+            ConstructionPeriod,
+            DETAILNO,
+            DETAILSTRING,
+            ConstructionStatusFlg,
+            EstimatesSubmitDeadline,
+            S_PERSONNAME,
+            C_PERSONNAME,
+            CS_PERSONNAME,
+            I_PERSONNAME,
+            DepartmentCode,
+            ApprovalCode,
+            ApprovalSTatus,
+            C_CodeUpper,
+            C_CodeLower,
+        }
+        #endregion
+
+        #region 増減工事状況一覧表示
+        /// <summary>
+        /// 増減工事状況一覧表示
+        /// </summary>
+        private void DispFluctuationProjects()
+        {
+            ClsSystemOnceExecute ChkProc = new ClsSystemOnceExecute();
+            IOConstructionBaseInfo cbiDB = new IOConstructionBaseInfo();
+            IOMDepartment dmDB = new IOMDepartment();
+            DataGridViewEX dgv = dgvFluctuationProjects;
+            try
+            {
+                dgv.SuspendLayout();
+                dgv.Rows.Clear();
+                // SQL作成
+                string strSQL1 = "(SELECT A.ConstructionCode, A.ConstructionPeriod, B.DETAILNO, B.DETAILSTRING, A.ConstructionStatusFlg,";
+                strSQL1 += " A.EstimatesSubmitDeadline, C.PERSONNAME, D.PERSONNAME, E.PERSONNAME, F.PERSONNAME, D.DepartmentCode,";
+                strSQL1 += " G.APPROVALCODE, NVL(G.APPROVALSTATUS, -1), TRUNC(A.ConstructionCode / 100), MOD(A.ConstructionCode ,100), A.*";
+                strSQL1 += " FROM CONSTRUCTIONBASEINFO A";
+
+                string strSQL = strSQL1;
+
+                strSQL += " LEFT JOIN PERSONINCHARGEMASTER D ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE";
+                strSQL += " LEFT JOIN PERSONINCHARGEMASTER E ON E.PERSONCODE = A.CONSTRSUBPERSONCODE";
+                strSQL += " LEFT JOIN PERSONINCHARGEMASTER F ON F.PERSONCODE = A.CONSTRUCTIONINSTRUCTOR";
+                strSQL += " LEFT JOIN (SELECT SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS, MAX(SG.APPROVALCODE) APPROVALCODE";
+                strSQL += " FROM PROCESSAPPROVAL SG GROUP BY SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS) G";
+                strSQL += " ON A.ConstructionCode = G.CONSTRUCTIONCODE AND G.SEQNO = 1";
+                strSQL += " , CONSTRUCTIONBASEINFODETAIL B, PERSONINCHARGEMASTER C";
+                
+                strSQL += CreateFluctuationProjectsSQL();
+
+                strSQL += " AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+                strSQL += string.Format(" AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);
+                strSQL += " AND C.PERSONCODE = A.SALESPERSONCODE)";
+
+                strSQL += string.Format(" UNION {0}", strSQL1);
+
+                strSQL += " LEFT JOIN CONSTRUCTIONLINK H ON H.FLUCTUATIONCODE IN (SELECT CONSTRUCTIONCODE FROM CONSTRUCTIONBASEINFO";
+                strSQL += CreateFluctuationProjectsSQL() +")";
+                strSQL += " LEFT JOIN PERSONINCHARGEMASTER D ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE";
+                strSQL += " LEFT JOIN PERSONINCHARGEMASTER E ON E.PERSONCODE = A.CONSTRSUBPERSONCODE";
+                strSQL += " LEFT JOIN PERSONINCHARGEMASTER F ON F.PERSONCODE = A.CONSTRUCTIONINSTRUCTOR";
+                strSQL += " LEFT JOIN (SELECT SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS, MAX(SG.APPROVALCODE) APPROVALCODE";
+                strSQL += " FROM PROCESSAPPROVAL SG GROUP BY SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS) G";
+                strSQL += " ON A.ConstructionCode = G.CONSTRUCTIONCODE AND G.SEQNO = 1";
+                strSQL += " , CONSTRUCTIONBASEINFODETAIL B, PERSONINCHARGEMASTER C";
+
+                strSQL += string.Format(" WHERE  A.TYINGFLG = {0}", (int)CommonDefine.BaseInfoTyingFlg.Pearent);
+
+                strSQL += " AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+                strSQL += string.Format(" AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);
+                strSQL += " AND C.PERSONCODE = A.SALESPERSONCODE)";
+
+                strSQL += " ORDER BY 2 Desc, 14 Desc, 15 Asc, 17 Asc, 3 ASC";
+                //strSQL += " Order By A.ConstructionPeriod Desc, A.ConstructionStatusFlg Asc, A.ConstructionCode Asc, B.DETAILNO ASC";
+                ArrayList arData = new ArrayList();
+
+                // 工事基本情報取得
+                if (!cbiDB.ExecuteReader(strSQL, ref arData)) return;
+
+                if (arData.Count == 0) return;
+
+                ProgressFluctuationProjects.Visible = true;
+                ProgressFluctuationProjects.Minimum = 0;
+                ProgressFluctuationProjects.Maximum = arData.Count;
+                tabPage9.Update();
+                //Thread.Sleep(100);
+
+                // データ表示
+                int ino = 1;
+                List<string> Details = new List<string>();
+
+                // 先頭の期数を取得する
+                object[] firstwrkRec = (object[])arData[0];
+                int BreakConstructionPeriod = CommonMotions.cnvInt(firstwrkRec[(int)DBColumn5.ConstructionPeriod]);
+                int iLineCnt = 0;
+                int DBCnt = Enum.GetNames(typeof(DBColumn5)).Length;
+                int BreakConstructionCode = 0;
+                foreach (object[] DataRec in arData)
+                {
+                    int iConstructionCode = CommonMotions.cnvInt(DataRec[(int)DBColumn5.ConstructionCode]);
+                    int iConstructionPeriod = CommonMotions.cnvInt(DataRec[(int)DBColumn5.ConstructionPeriod]);
+                    int iConstructionStatusFlg = CommonMotions.cnvInt(DataRec[(int)DBColumn5.ConstructionStatusFlg]);
+                    DateTime dEstimatesSubmitDeadline = CommonMotions.cnvDate(DataRec[(int)DBColumn5.EstimatesSubmitDeadline]);
+
+                    string salesname = CommonMotions.cnvString(DataRec[(int)DBColumn5.S_PERSONNAME]);
+
+                    string constructorname = CommonMotions.cnvString(DataRec[(int)DBColumn5.C_PERSONNAME]);
+                    if (constructorname.Length == 0) constructorname = CommonDefine.s_UndecidedString;
+
+                    string instructorname = CommonMotions.cnvString(DataRec[(int)DBColumn5.I_PERSONNAME]);
+                    //if (instructorname.Length == 0) instructorname = CommonDefine.s_UndecidedString;
+
+                    string subconstr = CommonMotions.cnvString(DataRec[(int)DBColumn5.CS_PERSONNAME]);
+                    //if (subconstr.Length == 0) subconstr = CommonDefine.s_UndecidedString;
+
+                    int iDepartmentCode = CommonMotions.cnvInt(DataRec[(int)DBColumn5.DepartmentCode]);
+
+                    int iApprovalCode = CommonMotions.cnvInt(DataRec[(int)DBColumn5.ApprovalCode]);
+                    string sApprovalName = string.Empty;
+                    if (iApprovalCode != 0) sApprovalName = ClsExcute.AppovalList[iApprovalCode];
+                    int iApprovalStatus = CommonMotions.cnvInt(DataRec[(int)DBColumn5.ApprovalSTatus]);
+
+                    // 1行目を表示するので明細が同じ間は処理しない
+                    if (iConstructionCode == BreakConstructionCode) continue;
+
+                    // 親子以外場合は1行開ける
+                    if ((iConstructionCode / 100) != (BreakConstructionCode / 100))
+                    {
+                        if (BreakConstructionCode != 0) dgv.Rows.Add();
+                    }
+
+                    // 名称取得
+                    getDetailStrings(iConstructionCode, arData, ref Details);
+
+                    BreakConstructionCode = iConstructionCode;
+
+                    // データを工事情報のフォーマットに詰めなおす
+                    ConstructionBaseInfo wrkRec = new ConstructionBaseInfo();
+                    int objCnt = DataRec.Length - DBCnt;
+                    object[] wrkobj = new object[objCnt];
+                    for (int i = 0; i < objCnt; i++)
+                    {
+                        wrkobj[i] = DataRec[i + DBCnt];
+                    }
+                    cbiDB.Reader2Struct(wrkobj, ref wrkRec);
+
+
+                    // 期が違えば空白を開ける
+                    if (BreakConstructionPeriod != wrkRec.ConstructionPeriod)
+                    {
+                        BreakConstructionPeriod = wrkRec.ConstructionPeriod;
+                        dgv.Rows.Add();
+                        iLineCnt++;
+                    }
+                    string jyutyu = "";
+                    if (wrkRec.OrdersDecisionPrice != 0)
+                        jyutyu = @"\" + wrkRec.OrdersDecisionPrice.ToString("#,#") + "-";
+                    int iStatusFlg = wrkRec.ConstructionStatusFlg;
+
+                    // データセット
+                    int LineCnt = dgv.Rows.Add(wrkRec.ConstructionCode
+                                                , ino
+                                                , wrkRec.ConstructionPeriod
+                                                , Details[0]
+                                                , CommonDefine.ProjectsStatus[iStatusFlg]
+                                                , sApprovalName
+                                                , salesname
+                                                , constructorname
+                                                , CommonMotions.cnvDateToUndecidedString(wrkRec.OrderStartingDate)
+                                                , CommonMotions.cnvDateToUndecidedString(wrkRec.OrderCompletionDate)
+                                                , instructorname
+                                                , subconstr
+                                                , Details[1] + Details[2] + Details[3]
+                                                , Details[4]
+                                                , jyutyu);
+
+                    // エラー行に色を付ける
+                    DataGridViewRow row = dgv.Rows[LineCnt];
+                    DispErrorSubmittedDateRow(dgv, row, wrkRec, ChkProc);
+                    iLineCnt++;
+
+                    // 承認状態に色を付ける
+                    DataGridViewCell CurCell = dgv.Rows[LineCnt].Cells[(int)MenuGridCount.ConstrApproval];
+                    SetCellApprovalColor(CurCell, iApprovalCode, iApprovalStatus);
+
+                    // ProgressBarの値を変更する
+                    ProgressFluctuationProjects.Value = ino++;
+                    ProgressFluctuationProjects.Update();
+
+                }
+                // 行や列を追加したり、セルに値を設定するときは、自動サイズ設定しない。
+                dgv.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
+                dgv.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.None;
+                dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
+
+                // ProgressBarの値を変更する
+                ProgressFluctuationProjects.Value = ProgressFluctuationProjects.Maximum;
+                ProgressFluctuationProjects.Update();
+                ProgressFluctuationProjects.Visible = false;
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                // 読込時データカウント取得
+                if (CommonDefine.s_MaxInitLineCount > dgv.RowCount)
+                    dgv.RowCount += (CommonDefine.s_MaxInitLineCount - dgv.RowCount);
+
+                // データが多くなればソートできる
+                foreach (DataGridViewColumn wrkCol in dgv.Columns)
+                    wrkCol.SortMode = DataGridViewColumnSortMode.Automatic;
+
+                // グリッドソート実行
+                GridSortExcute(dgv);
+
+                ChkProc = null;
+                cbiDB.close(); cbiDB = null;
+                dmDB.close(); dmDB = null;
+                dgv.ResumeLayout();
+            }
+        }
+        #endregion
+
+        #region 増減工事状況一覧表示用データ取得SQL作成
+        /// <summary>
+        /// 増減工事状況一覧表示用データ取得SQL作成
+        /// </summary>
+        private string CreateFluctuationProjectsSQL()
+        {
+            string strSQL = string.Empty;
+            try
+            {
+                List<int> stat = new List<int>();
+                stat.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("依頼受け中")).Key);          // 0
+                stat.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("見積提出")).Key);           // 1
+                stat.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("営繕部継続工事")).Key);     // 2
+                stat.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("仮 受 注")).Key);           // 3
+                stat.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("受　　注")).Key);           // 4
+                stat.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("部署引継")).Key);           // 5
+                stat.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工準備")).Key);           // 6
+                stat.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工開始")).Key);           // 7
+                stat.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工完了")).Key);           // 8
+                stat.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求準備")).Key);           // 9
+
+                strSQL += CreateListSQLFluctuation(true);
+                strSQL += CreateListSQL(stat);
+
+                return strSQL;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", ex.Message, strSQL);
+                return string.Empty;
+            }
+        }
+        #endregion
+
+        #region 増減工事状況一覧合計金額計算表示
+        /// <summary>
+        /// 増減工事状況一覧合計金額計算表示
+        /// </summary>
+        private void FluctuationTotalCalc()
+        {
+            IOConstructionBaseInfo BaseDB = new IOConstructionBaseInfo();
+            try
+            {
+                long lTotal01 = 0;
+                long lTotal02 = 0;
+                long lDep01 = 0;
+                long lDep02 = 0;
+                long lDep03 = 0;
+                long lDep04 = 0;
+                long lDep05 = 0;
+
+                string strSQL = "SELECT";
+                strSQL += " B.DEPARTMENTCODE,";
+                strSQL += " C.DEPARTMENTSTRING,";
+                strSQL += " SUM(A.ORDERSDECISIONPRICE),";
+                strSQL += " C.DISPLAYORDER";
+                strSQL += " FROM CONSTRUCTIONBASEINFO A, PERSONINCHARGEMASTER B, DEPARTMENTMASTER C";
+                strSQL += CreateFluctuationProjectsSQL();
+                strSQL += string.Format(" AND A.CONSTRUCTIONPERIOD = {0}", numUDConstPro.Value);
+                strSQL += " AND A.CONSTRUCTIONPERSONCODE = B.PERSONCODE";
+                strSQL += " AND B.DEPARTMENTCODE = C.DEPARTMENTCODE";
+                strSQL += " GROUP BY B.DEPARTMENTCODE, C.DEPARTMENTSTRING, C.DISPLAYORDER";
+                strSQL += " ORDER BY C.DISPLAYORDER";
+                ArrayList arList = new ArrayList();
+                if (!BaseDB.ExecuteReader(strSQL, ref arList)) return;
+
+                for (int i = 0; i < arList.Count; i++)
+                {
+                    object[] objwrk = (object[])arList[i];
+                    long OrderPrice = CommonMotions.cnvLong(objwrk[(int)TotalCal.ORDERSDECISIONPRICE]);
+
+                    lTotal02 += OrderPrice;
+                    // 部署ごとに集計
+                    int DepCode = CommonMotions.cnvInt(objwrk[(int)TotalCal.DEPARTMENTCODE]);
+                    switch (DepCode)
+                    {
+                        case s_ConstructionProjectsTotalCode1:
+                            // 山本組
+                            lDep01 += OrderPrice;
+                            break;
+                        case s_ConstructionProjectsTotalCode2:
+                            // 工事部
+                            lDep02 += OrderPrice;
+                            break;
+                        case s_ConstructionProjectsTotalCode3:
+                            // 営繕部
+                            lDep03 += OrderPrice;
+                            break;
+                        case s_ConstructionProjectsTotalCode4:
+                            // 営業
+                            lDep04 += OrderPrice;
+                            break;
+                        case s_ConstructionProjectsTotalCode5:
+                            // 企・設・リフォーム部
+                            lDep05 += OrderPrice;
+                            break;
+                    }
+                }
+                strSQL = "SELECT SUM(A.ORDERSDECISIONPRICE) FROM CONSTRUCTIONBASEINFO A";
+                strSQL += CreateConstructionProjectsSQL();
+                strSQL += string.Format(" AND A.CONSTRUCTIONPERIOD = {0}", numUDConstPro.Value);
+                strSQL += " AND A.CONSTRUCTIONPERSONCODE = 0";
+                ArrayList UnknownList = new ArrayList();
+                if (!BaseDB.ExecuteReader(strSQL, ref UnknownList)) return;
+                object[] objKnown = (object[])UnknownList[0];
+                lTotal01 = CommonMotions.cnvLong(objKnown[0]);
+
+                // 金額表示
+                lblTotal01.Text = @"\" + lTotal01.ToString("#,0") + "-";
+                lblTotal02.Text = @"\" + lTotal02.ToString("#,0") + "-";
+                lblTotal03.Text = @"\" + (lTotal01 + lTotal02).ToString("#,0") + "-";
+                lblDepTotal01.Text = @"\" + lDep01.ToString("#,0") + "-";
+                lblDepTotal02.Text = @"\" + lDep02.ToString("#,0") + "-";
+                lblDepTotal03.Text = @"\" + lDep03.ToString("#,0") + "-";
+                lblDepTotal04.Text = @"\" + lDep04.ToString("#,0") + "-";
+                lblDepTotal05.Text = @"\" + lDep05.ToString("#,0") + "-";
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                BaseDB.close(); BaseDB = null;
+            }
+        }
+        #endregion
+        #endregion
+
         #region 非受注案件一覧表示関連
         #region 非受注状況一覧データ並び
         /// <summary>
@@ -2175,6 +2789,7 @@
                 List<int> stat = new List<int>();
                 stat.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("非 受 注")).Key);            // 11
 
+                strSQL += CreateListSQLFluctuation();
                 strSQL += CreateListSQL(stat);
                 strSQL += string.Format(" And CONSTRUCTIONPERIOD = {0}", numUDNonOrder.Value);
 
@@ -2394,6 +3009,7 @@
                 stat.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求準備")).Key);            // 9
                 stat.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求完了")).Key);           // 10
 
+                strSQL += CreateListSQLFluctuation();
                 strSQL += CreateListSQL(stat);
 
                 //strSQL += string.Format(" And TO_DATE('{0}', 'yyyy/dd/mm') <= ConstructionCompletionDate", StartDate.ToShortDateString());
@@ -2531,6 +3147,7 @@
                 stat.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求完了")).Key);           // 10
 
                 string strSQL = "SELECT TO_CHAR(ConstructionCompletionDate,'YYYY/MM'), count(*) FROM CONSTRUCTIONBASEINFO";
+                strSQL += CreateListSQLFluctuation();
                 strSQL += CreateListSQL(stat);
                 //strSQL += string.Format(" And TO_DATE('{0}', 'yyyy/dd/mm') <= ConstructionCompletionDate", StartDate.ToShortDateString());
                 strSQL += string.Format(" And CONSTRUCTIONPERIOD = {0}", numUDCompletion.Value);
@@ -3768,6 +4385,7 @@
                 stat.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工開始")).Key);           // 7
                 stat.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工完了")).Key);           // 8
 
+                BaseSQL += CreateListSQLFluctuation();
                 BaseSQL += CreateListSQL(stat);
 
                 BaseSQL += " And A.CONSTRUCTIONPERSONCODE = B.PERSONCODE";
